using System;

namespace KV1_SudarBrojeva
{
    class Program
    {
        public static string StringUnazad(string noviBroj)
        {
            char[] chars = new char[noviBroj.Length];
            for (int i = 0, j = noviBroj.Length - 1; i <= j; i++, j--)
            {
                chars[i] = noviBroj[j];
                chars[j] = noviBroj[i];
            }
            return new string(chars);
        }

        static void PrviSlucaj(long prviBroj, long drugiBroj, int duzinaPrvog)
        {
            string noviBroj = "";
            long cifraPrvog = 0, cifraDrugog = 0;
            for (int i = duzinaPrvog; 0 < i; i--)
            {
                cifraPrvog = prviBroj % 10;
                cifraDrugog = drugiBroj % 10;
                prviBroj /= 10;
                drugiBroj /= 10;
                if (cifraDrugog < cifraPrvog)
                {
                    noviBroj += cifraPrvog;
                }
                else if (cifraDrugog > cifraPrvog)
                {
                    noviBroj += cifraDrugog;
                }
                else
                {
                    noviBroj += cifraDrugog;
                    noviBroj += cifraDrugog;
                }
            }
            Console.Write(drugiBroj + StringUnazad(noviBroj));
        }

        static void DrugiSlucaj(long prviBroj, long drugiBroj, int duzinaDrugog)
        {
            string noviBroj = "";
            long cifraPrvog = 0, cifraDrugog = 0;
            for (int i = duzinaDrugog; 0 < i; i--)
            {
                cifraPrvog = prviBroj % 10;
                cifraDrugog = drugiBroj % 10;
                prviBroj /= 10;
                drugiBroj /= 10;
                if (cifraDrugog < cifraPrvog)
                {
                    noviBroj += cifraPrvog;
                }
                else if (cifraDrugog > cifraPrvog)
                {
                    noviBroj += cifraDrugog;
                }
                else
                {
                    noviBroj += cifraDrugog;
                    noviBroj += cifraDrugog;
                }
            }
            Console.Write(prviBroj + StringUnazad(noviBroj));
        }

        static void TreciSlucaj(long prviBroj, long drugiBroj, int duzinaPrvog)
        {
            string noviBroj = "";
            long cifraPrvog = 0, cifraDrugog = 0;
            for (int i = duzinaPrvog; 0 < i; i--)
            {
                cifraPrvog = prviBroj % 10;
                cifraDrugog = drugiBroj % 10;
                prviBroj /= 10;
                drugiBroj /= 10;
                if (cifraDrugog < cifraPrvog)
                {
                    noviBroj += cifraPrvog;
                }
                else if (cifraDrugog > cifraPrvog)
                {
                    noviBroj += cifraDrugog;
                }
                else
                {
                    noviBroj += cifraDrugog;
                    noviBroj += cifraDrugog;
                }
            }
            Console.Write(StringUnazad(noviBroj));
        }

        static void Main(string[] args)
        {
            string prviBrojUnos, drugiBrojUnos;
            prviBrojUnos = Console.ReadLine();
            drugiBrojUnos = Console.ReadLine();
            long prviBroj = long.Parse(prviBrojUnos);
            long drugiBroj = long.Parse(drugiBrojUnos);
            int duzinaPrvog = prviBrojUnos.Length, duzinaDrugog = drugiBrojUnos.Length;
            if (duzinaPrvog < duzinaDrugog)
            {
                PrviSlucaj(prviBroj, drugiBroj, duzinaPrvog);
            } else if (duzinaPrvog > duzinaDrugog)
            {
                DrugiSlucaj(prviBroj, drugiBroj, duzinaDrugog);
            } else
            {
                TreciSlucaj(prviBroj, drugiBroj, duzinaPrvog);
            }
        }
    }
}